## Generated SDC file "example2_quartus.out.sdc"

## Copyright (C) 2022  Intel Corporation. All rights reserved.
## Your use of Intel Corporation's design tools, logic functions 
## and other software and tools, and any partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Intel Program License 
## Subscription Agreement, the Intel Quartus Prime License Agreement,
## the Intel FPGA IP License Agreement, or other applicable license
## agreement, including, without limitation, that your use is for
## the sole purpose of programming logic devices manufactured by
## Intel and sold by Intel or its authorized distributors.  Please
## refer to the applicable agreement for further details, at
## https://fpgasoftware.intel.com/eula.


## VENDOR  "Altera"
## PROGRAM "Quartus Prime"
## VERSION "Version 22.1std.0 Build 915 10/25/2022 SC Lite Edition"

## DATE    "Wed Apr 26 13:32:21 2023"

##
## DEVICE  "5CSEMA5F31C6"
##


#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3



#**************************************************************
# Create Clock
#**************************************************************

create_clock -name {clk_50} -period 20.000 -waveform { 0.000 10.000 } [get_ports {clk_50}]
create_clock -name {clk_divider:clock_divider_inst|D} -period 1.000 -waveform { 0.000 0.500 } [get_registers {clk_divider:clock_divider_inst|D}]
create_clock -name {clock} -period 5.000 -waveform { 0.000 2.500 } [get_pins {edge_detect_inst|state_current|clk}]


#**************************************************************
# Create Generated Clock
#**************************************************************



#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************

set_clock_uncertainty -rise_from [get_clocks {clk_divider:clock_divider_inst|D}] -rise_to [get_clocks {clk_divider:clock_divider_inst|D}]  0.270  
set_clock_uncertainty -rise_from [get_clocks {clk_divider:clock_divider_inst|D}] -fall_to [get_clocks {clk_divider:clock_divider_inst|D}]  0.270  
set_clock_uncertainty -rise_from [get_clocks {clk_divider:clock_divider_inst|D}] -rise_to [get_clocks {clk_50}]  0.290  
set_clock_uncertainty -rise_from [get_clocks {clk_divider:clock_divider_inst|D}] -fall_to [get_clocks {clk_50}]  0.290  
set_clock_uncertainty -fall_from [get_clocks {clk_divider:clock_divider_inst|D}] -rise_to [get_clocks {clk_divider:clock_divider_inst|D}]  0.270  
set_clock_uncertainty -fall_from [get_clocks {clk_divider:clock_divider_inst|D}] -fall_to [get_clocks {clk_divider:clock_divider_inst|D}]  0.270  
set_clock_uncertainty -fall_from [get_clocks {clk_divider:clock_divider_inst|D}] -rise_to [get_clocks {clk_50}]  0.290  
set_clock_uncertainty -fall_from [get_clocks {clk_divider:clock_divider_inst|D}] -fall_to [get_clocks {clk_50}]  0.290  
set_clock_uncertainty -rise_from [get_clocks {clk_50}] -rise_to [get_clocks {clk_divider:clock_divider_inst|D}]  0.290  
set_clock_uncertainty -rise_from [get_clocks {clk_50}] -fall_to [get_clocks {clk_divider:clock_divider_inst|D}]  0.290  
set_clock_uncertainty -rise_from [get_clocks {clk_50}] -rise_to [get_clocks {clk_50}] -setup 0.310  
set_clock_uncertainty -rise_from [get_clocks {clk_50}] -rise_to [get_clocks {clk_50}] -hold 0.270  
set_clock_uncertainty -rise_from [get_clocks {clk_50}] -fall_to [get_clocks {clk_50}] -setup 0.310  
set_clock_uncertainty -rise_from [get_clocks {clk_50}] -fall_to [get_clocks {clk_50}] -hold 0.270  
set_clock_uncertainty -fall_from [get_clocks {clk_50}] -rise_to [get_clocks {clk_divider:clock_divider_inst|D}]  0.290  
set_clock_uncertainty -fall_from [get_clocks {clk_50}] -fall_to [get_clocks {clk_divider:clock_divider_inst|D}]  0.290  
set_clock_uncertainty -fall_from [get_clocks {clk_50}] -rise_to [get_clocks {clk_50}] -setup 0.310  
set_clock_uncertainty -fall_from [get_clocks {clk_50}] -rise_to [get_clocks {clk_50}] -hold 0.270  
set_clock_uncertainty -fall_from [get_clocks {clk_50}] -fall_to [get_clocks {clk_50}] -setup 0.310  
set_clock_uncertainty -fall_from [get_clocks {clk_50}] -fall_to [get_clocks {clk_50}] -hold 0.270  


#**************************************************************
# Set Input Delay
#**************************************************************



#**************************************************************
# Set Output Delay
#**************************************************************



#**************************************************************
# Set Clock Groups
#**************************************************************



#**************************************************************
# Set False Path
#**************************************************************



#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************

