-- Copyright (C) 2022  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and any partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details, at
-- https://fpgasoftware.intel.com/eula.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 22.1std.0 Build 915 10/25/2022 SC Lite Edition"

-- DATE "04/18/2023 12:20:53"

-- 
-- Device: Altera 5CSEMA5F31C6 Package FBGA896
-- 

-- 
-- This VHDL file should be used for Active-HDL (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY ALTERA_LNSIM;
LIBRARY CYCLONEV;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE ALTERA_LNSIM.ALTERA_LNSIM_COMPONENTS.ALL;
USE CYCLONEV.CYCLONEV_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	add_three_numbers IS
    PORT (
	clock : IN std_logic;
	A : IN std_logic_vector(7 DOWNTO 0);
	B : IN std_logic_vector(7 DOWNTO 0);
	C : IN std_logic_vector(7 DOWNTO 0);
	sum : BUFFER std_logic_vector(9 DOWNTO 0)
	);
END add_three_numbers;

-- Design Ports Information
-- sum[0]	=>  Location: PIN_AG16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- sum[1]	=>  Location: PIN_AF19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- sum[2]	=>  Location: PIN_AG17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- sum[3]	=>  Location: PIN_AJ19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- sum[4]	=>  Location: PIN_AJ17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- sum[5]	=>  Location: PIN_AG18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- sum[6]	=>  Location: PIN_AG20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- sum[7]	=>  Location: PIN_V17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- sum[8]	=>  Location: PIN_AJ21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- sum[9]	=>  Location: PIN_AF18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- clock	=>  Location: PIN_Y27,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- C[0]	=>  Location: PIN_AH19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- B[0]	=>  Location: PIN_AK19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- A[0]	=>  Location: PIN_AC18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- C[1]	=>  Location: PIN_AH17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- B[1]	=>  Location: PIN_AH20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- A[1]	=>  Location: PIN_AH18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- C[2]	=>  Location: PIN_AA16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- B[2]	=>  Location: PIN_AJ12,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- A[2]	=>  Location: PIN_AK18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- C[3]	=>  Location: PIN_AB17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- B[3]	=>  Location: PIN_AG21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- A[3]	=>  Location: PIN_AG23,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- C[4]	=>  Location: PIN_AD17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- B[4]	=>  Location: PIN_AE16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- A[4]	=>  Location: PIN_AF16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- C[5]	=>  Location: PIN_AJ20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- B[5]	=>  Location: PIN_V16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- A[5]	=>  Location: PIN_AE19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- C[6]	=>  Location: PIN_AJ16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- B[6]	=>  Location: PIN_AE17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- A[6]	=>  Location: PIN_W17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- C[7]	=>  Location: PIN_AK16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- B[7]	=>  Location: PIN_W16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- A[7]	=>  Location: PIN_W15,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF add_three_numbers IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_clock : std_logic;
SIGNAL ww_A : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_B : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_C : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_sum : std_logic_vector(9 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \clock~input_o\ : std_logic;
SIGNAL \clock~inputCLKENA0_outclk\ : std_logic;
SIGNAL \C[0]~input_o\ : std_logic;
SIGNAL \reg_C[0]~feeder_combout\ : std_logic;
SIGNAL \A[0]~input_o\ : std_logic;
SIGNAL \B[0]~input_o\ : std_logic;
SIGNAL \reg_B[0]~feeder_combout\ : std_logic;
SIGNAL \_~1_sumout\ : std_logic;
SIGNAL \A[1]~input_o\ : std_logic;
SIGNAL \B[1]~input_o\ : std_logic;
SIGNAL \C[1]~input_o\ : std_logic;
SIGNAL \reg_C[1]~feeder_combout\ : std_logic;
SIGNAL \_~2\ : std_logic;
SIGNAL \_~3\ : std_logic;
SIGNAL \_~5_sumout\ : std_logic;
SIGNAL \B[2]~input_o\ : std_logic;
SIGNAL \reg_B[2]~feeder_combout\ : std_logic;
SIGNAL \A[2]~input_o\ : std_logic;
SIGNAL \reg_A[2]~feeder_combout\ : std_logic;
SIGNAL \C[2]~input_o\ : std_logic;
SIGNAL \_~6\ : std_logic;
SIGNAL \_~7\ : std_logic;
SIGNAL \_~9_sumout\ : std_logic;
SIGNAL \C[3]~input_o\ : std_logic;
SIGNAL \reg_C[3]~feeder_combout\ : std_logic;
SIGNAL \B[3]~input_o\ : std_logic;
SIGNAL \reg_B[3]~feeder_combout\ : std_logic;
SIGNAL \A[3]~input_o\ : std_logic;
SIGNAL \_~10\ : std_logic;
SIGNAL \_~11\ : std_logic;
SIGNAL \_~13_sumout\ : std_logic;
SIGNAL \C[4]~input_o\ : std_logic;
SIGNAL \reg_C[4]~feeder_combout\ : std_logic;
SIGNAL \B[4]~input_o\ : std_logic;
SIGNAL \reg_B[4]~feeder_combout\ : std_logic;
SIGNAL \A[4]~input_o\ : std_logic;
SIGNAL \reg_A[4]~feeder_combout\ : std_logic;
SIGNAL \_~14\ : std_logic;
SIGNAL \_~15\ : std_logic;
SIGNAL \_~17_sumout\ : std_logic;
SIGNAL \B[5]~input_o\ : std_logic;
SIGNAL \reg_B[5]~feeder_combout\ : std_logic;
SIGNAL \C[5]~input_o\ : std_logic;
SIGNAL \A[5]~input_o\ : std_logic;
SIGNAL \reg_A[5]~feeder_combout\ : std_logic;
SIGNAL \_~18\ : std_logic;
SIGNAL \_~19\ : std_logic;
SIGNAL \_~21_sumout\ : std_logic;
SIGNAL \C[6]~input_o\ : std_logic;
SIGNAL \A[6]~input_o\ : std_logic;
SIGNAL \B[6]~input_o\ : std_logic;
SIGNAL \reg_B[6]~feeder_combout\ : std_logic;
SIGNAL \_~22\ : std_logic;
SIGNAL \_~23\ : std_logic;
SIGNAL \_~25_sumout\ : std_logic;
SIGNAL \C[7]~input_o\ : std_logic;
SIGNAL \A[7]~input_o\ : std_logic;
SIGNAL \reg_A[7]~feeder_combout\ : std_logic;
SIGNAL \B[7]~input_o\ : std_logic;
SIGNAL \_~26\ : std_logic;
SIGNAL \_~27\ : std_logic;
SIGNAL \_~29_sumout\ : std_logic;
SIGNAL \_~30\ : std_logic;
SIGNAL \_~31\ : std_logic;
SIGNAL \_~33_sumout\ : std_logic;
SIGNAL \_~34\ : std_logic;
SIGNAL \_~35\ : std_logic;
SIGNAL \_~37_sumout\ : std_logic;
SIGNAL reg_sum : std_logic_vector(9 DOWNTO 0);
SIGNAL reg_C : std_logic_vector(7 DOWNTO 0);
SIGNAL reg_B : std_logic_vector(7 DOWNTO 0);
SIGNAL reg_A : std_logic_vector(7 DOWNTO 0);
SIGNAL \ALT_INV_A[7]~input_o\ : std_logic;
SIGNAL \ALT_INV_B[6]~input_o\ : std_logic;
SIGNAL \ALT_INV_A[5]~input_o\ : std_logic;
SIGNAL \ALT_INV_B[5]~input_o\ : std_logic;
SIGNAL \ALT_INV_A[4]~input_o\ : std_logic;
SIGNAL \ALT_INV_B[4]~input_o\ : std_logic;
SIGNAL \ALT_INV_C[4]~input_o\ : std_logic;
SIGNAL \ALT_INV_B[3]~input_o\ : std_logic;
SIGNAL \ALT_INV_C[3]~input_o\ : std_logic;
SIGNAL \ALT_INV_A[2]~input_o\ : std_logic;
SIGNAL \ALT_INV_B[2]~input_o\ : std_logic;
SIGNAL \ALT_INV_C[1]~input_o\ : std_logic;
SIGNAL \ALT_INV_B[0]~input_o\ : std_logic;
SIGNAL \ALT_INV_C[0]~input_o\ : std_logic;
SIGNAL ALT_INV_reg_A : std_logic_vector(7 DOWNTO 0);
SIGNAL ALT_INV_reg_B : std_logic_vector(7 DOWNTO 0);
SIGNAL ALT_INV_reg_C : std_logic_vector(7 DOWNTO 0);

BEGIN

ww_clock <= clock;
ww_A <= A;
ww_B <= B;
ww_C <= C;
sum <= ww_sum;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
\ALT_INV_A[7]~input_o\ <= NOT \A[7]~input_o\;
\ALT_INV_B[6]~input_o\ <= NOT \B[6]~input_o\;
\ALT_INV_A[5]~input_o\ <= NOT \A[5]~input_o\;
\ALT_INV_B[5]~input_o\ <= NOT \B[5]~input_o\;
\ALT_INV_A[4]~input_o\ <= NOT \A[4]~input_o\;
\ALT_INV_B[4]~input_o\ <= NOT \B[4]~input_o\;
\ALT_INV_C[4]~input_o\ <= NOT \C[4]~input_o\;
\ALT_INV_B[3]~input_o\ <= NOT \B[3]~input_o\;
\ALT_INV_C[3]~input_o\ <= NOT \C[3]~input_o\;
\ALT_INV_A[2]~input_o\ <= NOT \A[2]~input_o\;
\ALT_INV_B[2]~input_o\ <= NOT \B[2]~input_o\;
\ALT_INV_C[1]~input_o\ <= NOT \C[1]~input_o\;
\ALT_INV_B[0]~input_o\ <= NOT \B[0]~input_o\;
\ALT_INV_C[0]~input_o\ <= NOT \C[0]~input_o\;
ALT_INV_reg_A(7) <= NOT reg_A(7);
ALT_INV_reg_B(7) <= NOT reg_B(7);
ALT_INV_reg_C(7) <= NOT reg_C(7);
ALT_INV_reg_A(6) <= NOT reg_A(6);
ALT_INV_reg_B(6) <= NOT reg_B(6);
ALT_INV_reg_C(6) <= NOT reg_C(6);
ALT_INV_reg_A(5) <= NOT reg_A(5);
ALT_INV_reg_B(5) <= NOT reg_B(5);
ALT_INV_reg_C(5) <= NOT reg_C(5);
ALT_INV_reg_A(4) <= NOT reg_A(4);
ALT_INV_reg_B(4) <= NOT reg_B(4);
ALT_INV_reg_C(4) <= NOT reg_C(4);
ALT_INV_reg_A(3) <= NOT reg_A(3);
ALT_INV_reg_B(3) <= NOT reg_B(3);
ALT_INV_reg_C(3) <= NOT reg_C(3);
ALT_INV_reg_A(2) <= NOT reg_A(2);
ALT_INV_reg_B(2) <= NOT reg_B(2);
ALT_INV_reg_C(2) <= NOT reg_C(2);
ALT_INV_reg_A(1) <= NOT reg_A(1);
ALT_INV_reg_B(1) <= NOT reg_B(1);
ALT_INV_reg_C(1) <= NOT reg_C(1);
ALT_INV_reg_A(0) <= NOT reg_A(0);
ALT_INV_reg_B(0) <= NOT reg_B(0);
ALT_INV_reg_C(0) <= NOT reg_C(0);

-- Location: IOOBUF_X50_Y0_N76
\sum[0]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => reg_sum(0),
	devoe => ww_devoe,
	o => ww_sum(0));

-- Location: IOOBUF_X62_Y0_N2
\sum[1]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => reg_sum(1),
	devoe => ww_devoe,
	o => ww_sum(1));

-- Location: IOOBUF_X50_Y0_N93
\sum[2]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => reg_sum(2),
	devoe => ww_devoe,
	o => ww_sum(2));

-- Location: IOOBUF_X60_Y0_N36
\sum[3]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => reg_sum(3),
	devoe => ww_devoe,
	o => ww_sum(3));

-- Location: IOOBUF_X58_Y0_N42
\sum[4]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => reg_sum(4),
	devoe => ww_devoe,
	o => ww_sum(4));

-- Location: IOOBUF_X58_Y0_N76
\sum[5]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => reg_sum(5),
	devoe => ww_devoe,
	o => ww_sum(5));

-- Location: IOOBUF_X62_Y0_N19
\sum[6]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => reg_sum(6),
	devoe => ww_devoe,
	o => ww_sum(6));

-- Location: IOOBUF_X60_Y0_N2
\sum[7]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => reg_sum(7),
	devoe => ww_devoe,
	o => ww_sum(7));

-- Location: IOOBUF_X62_Y0_N53
\sum[8]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => reg_sum(8),
	devoe => ww_devoe,
	o => ww_sum(8));

-- Location: IOOBUF_X50_Y0_N59
\sum[9]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => reg_sum(9),
	devoe => ww_devoe,
	o => ww_sum(9));

-- Location: IOIBUF_X89_Y25_N21
\clock~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clock,
	o => \clock~input_o\);

-- Location: CLKCTRL_G10
\clock~inputCLKENA0\ : cyclonev_clkena
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	disable_mode => "low",
	ena_register_mode => "always enabled",
	ena_register_power_up => "high",
	test_syn => "high")
-- pragma translate_on
PORT MAP (
	inclk => \clock~input_o\,
	outclk => \clock~inputCLKENA0_outclk\);

-- Location: IOIBUF_X58_Y0_N92
\C[0]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_C(0),
	o => \C[0]~input_o\);

-- Location: LABCELL_X56_Y2_N33
\reg_C[0]~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \reg_C[0]~feeder_combout\ = ( \C[0]~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_C[0]~input_o\,
	combout => \reg_C[0]~feeder_combout\);

-- Location: FF_X56_Y2_N35
\reg_C[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \reg_C[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_C(0));

-- Location: IOIBUF_X64_Y0_N1
\A[0]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_A(0),
	o => \A[0]~input_o\);

-- Location: FF_X57_Y2_N11
\reg_A[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	asdata => \A[0]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_A(0));

-- Location: IOIBUF_X60_Y0_N52
\B[0]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_B(0),
	o => \B[0]~input_o\);

-- Location: LABCELL_X57_Y2_N0
\reg_B[0]~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \reg_B[0]~feeder_combout\ = ( \B[0]~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_B[0]~input_o\,
	combout => \reg_B[0]~feeder_combout\);

-- Location: FF_X57_Y2_N2
\reg_B[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \reg_B[0]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_B(0));

-- Location: LABCELL_X56_Y2_N0
\_~1\ : cyclonev_lcell_comb
-- Equation(s):
-- \_~1_sumout\ = SUM(( !reg_C(0) $ (!reg_A(0) $ (reg_B(0))) ) + ( !VCC ) + ( !VCC ))
-- \_~2\ = CARRY(( !reg_C(0) $ (!reg_A(0) $ (reg_B(0))) ) + ( !VCC ) + ( !VCC ))
-- \_~3\ = SHARE((!reg_C(0) & (reg_A(0) & reg_B(0))) # (reg_C(0) & ((reg_B(0)) # (reg_A(0)))))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000001010101111100000000000000000101101010100101",
	shared_arith => "on")
-- pragma translate_on
PORT MAP (
	dataa => ALT_INV_reg_C(0),
	datac => ALT_INV_reg_A(0),
	datad => ALT_INV_reg_B(0),
	cin => GND,
	sharein => GND,
	sumout => \_~1_sumout\,
	cout => \_~2\,
	shareout => \_~3\);

-- Location: FF_X56_Y2_N1
\reg_sum[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \_~1_sumout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_sum(0));

-- Location: IOIBUF_X56_Y0_N52
\A[1]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_A(1),
	o => \A[1]~input_o\);

-- Location: FF_X56_Y2_N49
\reg_A[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	asdata => \A[1]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_A(1));

-- Location: IOIBUF_X54_Y0_N18
\B[1]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_B(1),
	o => \B[1]~input_o\);

-- Location: FF_X56_Y2_N44
\reg_B[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	asdata => \B[1]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_B(1));

-- Location: IOIBUF_X56_Y0_N35
\C[1]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_C(1),
	o => \C[1]~input_o\);

-- Location: LABCELL_X56_Y2_N39
\reg_C[1]~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \reg_C[1]~feeder_combout\ = ( \C[1]~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_C[1]~input_o\,
	combout => \reg_C[1]~feeder_combout\);

-- Location: FF_X56_Y2_N40
\reg_C[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \reg_C[1]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_C(1));

-- Location: LABCELL_X56_Y2_N3
\_~5\ : cyclonev_lcell_comb
-- Equation(s):
-- \_~5_sumout\ = SUM(( !reg_A(1) $ (!reg_B(1) $ (reg_C(1))) ) + ( \_~3\ ) + ( \_~2\ ))
-- \_~6\ = CARRY(( !reg_A(1) $ (!reg_B(1) $ (reg_C(1))) ) + ( \_~3\ ) + ( \_~2\ ))
-- \_~7\ = SHARE((!reg_A(1) & (reg_B(1) & reg_C(1))) # (reg_A(1) & ((reg_C(1)) # (reg_B(1)))))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000110011111100000000000000000011110011000011",
	shared_arith => "on")
-- pragma translate_on
PORT MAP (
	datab => ALT_INV_reg_A(1),
	datac => ALT_INV_reg_B(1),
	datad => ALT_INV_reg_C(1),
	cin => \_~2\,
	sharein => \_~3\,
	sumout => \_~5_sumout\,
	cout => \_~6\,
	shareout => \_~7\);

-- Location: FF_X56_Y2_N4
\reg_sum[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \_~5_sumout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_sum(1));

-- Location: IOIBUF_X38_Y0_N52
\B[2]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_B(2),
	o => \B[2]~input_o\);

-- Location: LABCELL_X55_Y2_N3
\reg_B[2]~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \reg_B[2]~feeder_combout\ = ( \B[2]~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_B[2]~input_o\,
	combout => \reg_B[2]~feeder_combout\);

-- Location: FF_X55_Y2_N5
\reg_B[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \reg_B[2]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_B(2));

-- Location: IOIBUF_X58_Y0_N58
\A[2]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_A(2),
	o => \A[2]~input_o\);

-- Location: LABCELL_X56_Y2_N36
\reg_A[2]~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \reg_A[2]~feeder_combout\ = ( \A[2]~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_A[2]~input_o\,
	combout => \reg_A[2]~feeder_combout\);

-- Location: FF_X56_Y2_N38
\reg_A[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \reg_A[2]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_A(2));

-- Location: IOIBUF_X56_Y0_N1
\C[2]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_C(2),
	o => \C[2]~input_o\);

-- Location: FF_X56_Y2_N56
\reg_C[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	asdata => \C[2]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_C(2));

-- Location: LABCELL_X56_Y2_N6
\_~9\ : cyclonev_lcell_comb
-- Equation(s):
-- \_~9_sumout\ = SUM(( !reg_B(2) $ (!reg_A(2) $ (reg_C(2))) ) + ( \_~7\ ) + ( \_~6\ ))
-- \_~10\ = CARRY(( !reg_B(2) $ (!reg_A(2) $ (reg_C(2))) ) + ( \_~7\ ) + ( \_~6\ ))
-- \_~11\ = SHARE((!reg_B(2) & (reg_A(2) & reg_C(2))) # (reg_B(2) & ((reg_C(2)) # (reg_A(2)))))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000001010101111100000000000000000101101010100101",
	shared_arith => "on")
-- pragma translate_on
PORT MAP (
	dataa => ALT_INV_reg_B(2),
	datac => ALT_INV_reg_A(2),
	datad => ALT_INV_reg_C(2),
	cin => \_~6\,
	sharein => \_~7\,
	sumout => \_~9_sumout\,
	cout => \_~10\,
	shareout => \_~11\);

-- Location: FF_X56_Y2_N7
\reg_sum[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \_~9_sumout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_sum(2));

-- Location: IOIBUF_X56_Y0_N18
\C[3]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_C(3),
	o => \C[3]~input_o\);

-- Location: LABCELL_X56_Y2_N45
\reg_C[3]~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \reg_C[3]~feeder_combout\ = ( \C[3]~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_C[3]~input_o\,
	combout => \reg_C[3]~feeder_combout\);

-- Location: FF_X56_Y2_N47
\reg_C[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \reg_C[3]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_C(3));

-- Location: IOIBUF_X54_Y0_N1
\B[3]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_B(3),
	o => \B[3]~input_o\);

-- Location: LABCELL_X56_Y2_N30
\reg_B[3]~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \reg_B[3]~feeder_combout\ = ( \B[3]~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_B[3]~input_o\,
	combout => \reg_B[3]~feeder_combout\);

-- Location: FF_X56_Y2_N32
\reg_B[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \reg_B[3]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_B(3));

-- Location: IOIBUF_X64_Y0_N35
\A[3]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_A(3),
	o => \A[3]~input_o\);

-- Location: FF_X57_Y2_N44
\reg_A[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	asdata => \A[3]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_A(3));

-- Location: LABCELL_X56_Y2_N9
\_~13\ : cyclonev_lcell_comb
-- Equation(s):
-- \_~13_sumout\ = SUM(( !reg_C(3) $ (!reg_B(3) $ (reg_A(3))) ) + ( \_~11\ ) + ( \_~10\ ))
-- \_~14\ = CARRY(( !reg_C(3) $ (!reg_B(3) $ (reg_A(3))) ) + ( \_~11\ ) + ( \_~10\ ))
-- \_~15\ = SHARE((!reg_C(3) & (reg_B(3) & reg_A(3))) # (reg_C(3) & ((reg_A(3)) # (reg_B(3)))))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000110011111100000000000000000011110011000011",
	shared_arith => "on")
-- pragma translate_on
PORT MAP (
	datab => ALT_INV_reg_C(3),
	datac => ALT_INV_reg_B(3),
	datad => ALT_INV_reg_A(3),
	cin => \_~10\,
	sharein => \_~11\,
	sumout => \_~13_sumout\,
	cout => \_~14\,
	shareout => \_~15\);

-- Location: FF_X56_Y2_N10
\reg_sum[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \_~13_sumout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_sum(3));

-- Location: IOIBUF_X64_Y0_N18
\C[4]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_C(4),
	o => \C[4]~input_o\);

-- Location: LABCELL_X56_Y2_N51
\reg_C[4]~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \reg_C[4]~feeder_combout\ = ( \C[4]~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_C[4]~input_o\,
	combout => \reg_C[4]~feeder_combout\);

-- Location: FF_X56_Y2_N53
\reg_C[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \reg_C[4]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_C(4));

-- Location: IOIBUF_X52_Y0_N35
\B[4]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_B(4),
	o => \B[4]~input_o\);

-- Location: LABCELL_X55_Y2_N39
\reg_B[4]~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \reg_B[4]~feeder_combout\ = ( \B[4]~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_B[4]~input_o\,
	combout => \reg_B[4]~feeder_combout\);

-- Location: FF_X55_Y2_N40
\reg_B[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \reg_B[4]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_B(4));

-- Location: IOIBUF_X52_Y0_N52
\A[4]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_A(4),
	o => \A[4]~input_o\);

-- Location: LABCELL_X55_Y2_N42
\reg_A[4]~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \reg_A[4]~feeder_combout\ = ( \A[4]~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_A[4]~input_o\,
	combout => \reg_A[4]~feeder_combout\);

-- Location: FF_X55_Y2_N43
\reg_A[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \reg_A[4]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_A(4));

-- Location: LABCELL_X56_Y2_N12
\_~17\ : cyclonev_lcell_comb
-- Equation(s):
-- \_~17_sumout\ = SUM(( !reg_C(4) $ (!reg_B(4) $ (reg_A(4))) ) + ( \_~15\ ) + ( \_~14\ ))
-- \_~18\ = CARRY(( !reg_C(4) $ (!reg_B(4) $ (reg_A(4))) ) + ( \_~15\ ) + ( \_~14\ ))
-- \_~19\ = SHARE((!reg_C(4) & (reg_B(4) & reg_A(4))) # (reg_C(4) & ((reg_A(4)) # (reg_B(4)))))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000001010101111100000000000000000101101010100101",
	shared_arith => "on")
-- pragma translate_on
PORT MAP (
	dataa => ALT_INV_reg_C(4),
	datac => ALT_INV_reg_B(4),
	datad => ALT_INV_reg_A(4),
	cin => \_~14\,
	sharein => \_~15\,
	sumout => \_~17_sumout\,
	cout => \_~18\,
	shareout => \_~19\);

-- Location: FF_X56_Y2_N13
\reg_sum[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \_~17_sumout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_sum(4));

-- Location: IOIBUF_X52_Y0_N1
\B[5]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_B(5),
	o => \B[5]~input_o\);

-- Location: LABCELL_X55_Y2_N48
\reg_B[5]~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \reg_B[5]~feeder_combout\ = ( \B[5]~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_B[5]~input_o\,
	combout => \reg_B[5]~feeder_combout\);

-- Location: FF_X55_Y2_N49
\reg_B[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \reg_B[5]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_B(5));

-- Location: IOIBUF_X62_Y0_N35
\C[5]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_C(5),
	o => \C[5]~input_o\);

-- Location: FF_X57_Y2_N50
\reg_C[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	asdata => \C[5]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_C(5));

-- Location: IOIBUF_X66_Y0_N58
\A[5]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_A(5),
	o => \A[5]~input_o\);

-- Location: LABCELL_X57_Y2_N27
\reg_A[5]~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \reg_A[5]~feeder_combout\ = ( \A[5]~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_A[5]~input_o\,
	combout => \reg_A[5]~feeder_combout\);

-- Location: FF_X57_Y2_N29
\reg_A[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \reg_A[5]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_A(5));

-- Location: LABCELL_X56_Y2_N15
\_~21\ : cyclonev_lcell_comb
-- Equation(s):
-- \_~21_sumout\ = SUM(( !reg_B(5) $ (!reg_C(5) $ (reg_A(5))) ) + ( \_~19\ ) + ( \_~18\ ))
-- \_~22\ = CARRY(( !reg_B(5) $ (!reg_C(5) $ (reg_A(5))) ) + ( \_~19\ ) + ( \_~18\ ))
-- \_~23\ = SHARE((!reg_B(5) & (reg_C(5) & reg_A(5))) # (reg_B(5) & ((reg_A(5)) # (reg_C(5)))))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000110011111100000000000000000011110011000011",
	shared_arith => "on")
-- pragma translate_on
PORT MAP (
	datab => ALT_INV_reg_B(5),
	datac => ALT_INV_reg_C(5),
	datad => ALT_INV_reg_A(5),
	cin => \_~18\,
	sharein => \_~19\,
	sumout => \_~21_sumout\,
	cout => \_~22\,
	shareout => \_~23\);

-- Location: FF_X56_Y2_N17
\reg_sum[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \_~21_sumout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_sum(5));

-- Location: IOIBUF_X54_Y0_N35
\C[6]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_C(6),
	o => \C[6]~input_o\);

-- Location: FF_X56_Y2_N58
\reg_C[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	asdata => \C[6]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_C(6));

-- Location: IOIBUF_X60_Y0_N18
\A[6]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_A(6),
	o => \A[6]~input_o\);

-- Location: FF_X57_Y2_N35
\reg_A[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	asdata => \A[6]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_A(6));

-- Location: IOIBUF_X50_Y0_N41
\B[6]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_B(6),
	o => \B[6]~input_o\);

-- Location: LABCELL_X55_Y2_N27
\reg_B[6]~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \reg_B[6]~feeder_combout\ = ( \B[6]~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_B[6]~input_o\,
	combout => \reg_B[6]~feeder_combout\);

-- Location: FF_X55_Y2_N28
\reg_B[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \reg_B[6]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_B(6));

-- Location: LABCELL_X56_Y2_N18
\_~25\ : cyclonev_lcell_comb
-- Equation(s):
-- \_~25_sumout\ = SUM(( !reg_C(6) $ (!reg_A(6) $ (reg_B(6))) ) + ( \_~23\ ) + ( \_~22\ ))
-- \_~26\ = CARRY(( !reg_C(6) $ (!reg_A(6) $ (reg_B(6))) ) + ( \_~23\ ) + ( \_~22\ ))
-- \_~27\ = SHARE((!reg_C(6) & (reg_A(6) & reg_B(6))) # (reg_C(6) & ((reg_B(6)) # (reg_A(6)))))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000001010101111100000000000000000101101010100101",
	shared_arith => "on")
-- pragma translate_on
PORT MAP (
	dataa => ALT_INV_reg_C(6),
	datac => ALT_INV_reg_A(6),
	datad => ALT_INV_reg_B(6),
	cin => \_~22\,
	sharein => \_~23\,
	sumout => \_~25_sumout\,
	cout => \_~26\,
	shareout => \_~27\);

-- Location: FF_X56_Y2_N19
\reg_sum[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \_~25_sumout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_sum(6));

-- Location: IOIBUF_X54_Y0_N52
\C[7]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_C(7),
	o => \C[7]~input_o\);

-- Location: FF_X55_Y2_N34
\reg_C[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	asdata => \C[7]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_C(7));

-- Location: IOIBUF_X40_Y0_N1
\A[7]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_A(7),
	o => \A[7]~input_o\);

-- Location: LABCELL_X55_Y2_N15
\reg_A[7]~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \reg_A[7]~feeder_combout\ = ( \A[7]~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_A[7]~input_o\,
	combout => \reg_A[7]~feeder_combout\);

-- Location: FF_X55_Y2_N16
\reg_A[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \reg_A[7]~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_A(7));

-- Location: IOIBUF_X52_Y0_N18
\B[7]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_B(7),
	o => \B[7]~input_o\);

-- Location: FF_X55_Y2_N7
\reg_B[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	asdata => \B[7]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_B(7));

-- Location: LABCELL_X56_Y2_N21
\_~29\ : cyclonev_lcell_comb
-- Equation(s):
-- \_~29_sumout\ = SUM(( !reg_C(7) $ (!reg_A(7) $ (reg_B(7))) ) + ( \_~27\ ) + ( \_~26\ ))
-- \_~30\ = CARRY(( !reg_C(7) $ (!reg_A(7) $ (reg_B(7))) ) + ( \_~27\ ) + ( \_~26\ ))
-- \_~31\ = SHARE((!reg_C(7) & (reg_A(7) & reg_B(7))) # (reg_C(7) & ((reg_B(7)) # (reg_A(7)))))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000110011111100000000000000000011110011000011",
	shared_arith => "on")
-- pragma translate_on
PORT MAP (
	datab => ALT_INV_reg_C(7),
	datac => ALT_INV_reg_A(7),
	datad => ALT_INV_reg_B(7),
	cin => \_~26\,
	sharein => \_~27\,
	sumout => \_~29_sumout\,
	cout => \_~30\,
	shareout => \_~31\);

-- Location: FF_X56_Y2_N22
\reg_sum[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \_~29_sumout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_sum(7));

-- Location: LABCELL_X56_Y2_N24
\_~33\ : cyclonev_lcell_comb
-- Equation(s):
-- \_~33_sumout\ = SUM(( GND ) + ( \_~31\ ) + ( \_~30\ ))
-- \_~34\ = CARRY(( GND ) + ( \_~31\ ) + ( \_~30\ ))
-- \_~35\ = SHARE(GND)

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000000000000000000",
	shared_arith => "on")
-- pragma translate_on
PORT MAP (
	cin => \_~30\,
	sharein => \_~31\,
	sumout => \_~33_sumout\,
	cout => \_~34\,
	shareout => \_~35\);

-- Location: FF_X56_Y2_N25
\reg_sum[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \_~33_sumout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_sum(8));

-- Location: LABCELL_X56_Y2_N27
\_~37\ : cyclonev_lcell_comb
-- Equation(s):
-- \_~37_sumout\ = SUM(( GND ) + ( \_~35\ ) + ( \_~34\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000000000000000000",
	shared_arith => "on")
-- pragma translate_on
PORT MAP (
	cin => \_~34\,
	sharein => \_~35\,
	sumout => \_~37_sumout\);

-- Location: FF_X56_Y2_N28
\reg_sum[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputCLKENA0_outclk\,
	d => \_~37_sumout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => reg_sum(9));

-- Location: MLABCELL_X8_Y11_N3
\~QUARTUS_CREATED_GND~I\ : cyclonev_lcell_comb
-- Equation(s):

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000000000000000000",
	shared_arith => "off")
-- pragma translate_on
;
END structure;


