-- Copyright (C) 2022  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and any partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details, at
-- https://fpgasoftware.intel.com/eula.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 22.1std.0 Build 915 10/25/2022 SC Lite Edition"

-- DATE "04/26/2023 13:34:33"

-- 
-- Device: Altera 5CSEMA5F31C6 Package FBGA896
-- 

-- 
-- This VHDL file should be used for Active-HDL (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY ALTERA_LNSIM;
LIBRARY CYCLONEV;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE ALTERA_LNSIM.ALTERA_LNSIM_COMPONENTS.ALL;
USE CYCLONEV.CYCLONEV_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	edge_detection_test IS
    PORT (
	clk_50 : IN std_logic;
	btn_reset : IN std_logic;
	btn_x : IN std_logic;
	led_y : BUFFER std_logic
	);
END edge_detection_test;

-- Design Ports Information
-- led_y	=>  Location: PIN_V16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- btn_x	=>  Location: PIN_AA15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- btn_reset	=>  Location: PIN_AA14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- clk_50	=>  Location: PIN_AF14,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF edge_detection_test IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_clk_50 : std_logic;
SIGNAL ww_btn_reset : std_logic;
SIGNAL ww_btn_x : std_logic;
SIGNAL ww_led_y : std_logic;
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \clk_50~input_o\ : std_logic;
SIGNAL \clk_50~inputCLKENA0_outclk\ : std_logic;
SIGNAL \clock_divider_inst|Add2~1_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add1~5_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add0~5_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add0~6\ : std_logic;
SIGNAL \clock_divider_inst|Add0~9_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add0~10\ : std_logic;
SIGNAL \clock_divider_inst|Add0~13_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add0~14\ : std_logic;
SIGNAL \clock_divider_inst|Add0~1_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add0~2\ : std_logic;
SIGNAL \clock_divider_inst|Add0~21_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add0~22\ : std_logic;
SIGNAL \clock_divider_inst|Add0~25_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add0~26\ : std_logic;
SIGNAL \clock_divider_inst|Add0~29_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add0~30\ : std_logic;
SIGNAL \clock_divider_inst|Add0~33_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add0~34\ : std_logic;
SIGNAL \clock_divider_inst|Add0~17_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Equal0~0_combout\ : std_logic;
SIGNAL \clock_divider_inst|Add0~18\ : std_logic;
SIGNAL \clock_divider_inst|Add0~37_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Equal0~1_combout\ : std_logic;
SIGNAL \clock_divider_inst|Equal0~2_combout\ : std_logic;
SIGNAL \clock_divider_inst|Add1~38\ : std_logic;
SIGNAL \clock_divider_inst|Add1~1_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Equal1~0_combout\ : std_logic;
SIGNAL \clock_divider_inst|D~0_combout\ : std_logic;
SIGNAL \clock_divider_inst|Add1~6\ : std_logic;
SIGNAL \clock_divider_inst|Add1~9_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add1~10\ : std_logic;
SIGNAL \clock_divider_inst|Add1~13_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add1~14\ : std_logic;
SIGNAL \clock_divider_inst|Add1~17_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add1~18\ : std_logic;
SIGNAL \clock_divider_inst|Add1~21_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add1~22\ : std_logic;
SIGNAL \clock_divider_inst|Add1~25_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add1~26\ : std_logic;
SIGNAL \clock_divider_inst|Add1~29_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add1~30\ : std_logic;
SIGNAL \clock_divider_inst|Add1~33_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add1~34\ : std_logic;
SIGNAL \clock_divider_inst|Add1~37_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Equal1~1_combout\ : std_logic;
SIGNAL \clock_divider_inst|Equal1~2_combout\ : std_logic;
SIGNAL \clock_divider_inst|Add2~6\ : std_logic;
SIGNAL \clock_divider_inst|Add2~9_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add2~10\ : std_logic;
SIGNAL \clock_divider_inst|Add2~13_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add2~14\ : std_logic;
SIGNAL \clock_divider_inst|Add2~17_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add2~18\ : std_logic;
SIGNAL \clock_divider_inst|Add2~21_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add2~22\ : std_logic;
SIGNAL \clock_divider_inst|Add2~25_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add2~26\ : std_logic;
SIGNAL \clock_divider_inst|Add2~29_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add2~30\ : std_logic;
SIGNAL \clock_divider_inst|Add2~33_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add2~34\ : std_logic;
SIGNAL \clock_divider_inst|Add2~37_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Equal2~1_combout\ : std_logic;
SIGNAL \clock_divider_inst|count2[0]~0_combout\ : std_logic;
SIGNAL \clock_divider_inst|Add2~2\ : std_logic;
SIGNAL \clock_divider_inst|Add2~5_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Equal2~0_combout\ : std_logic;
SIGNAL \clock_divider_inst|Equal2~2_combout\ : std_logic;
SIGNAL \clock_divider_inst|Add3~9_sumout\ : std_logic;
SIGNAL \clock_divider_inst|count3[0]~0_combout\ : std_logic;
SIGNAL \clock_divider_inst|Add3~10\ : std_logic;
SIGNAL \clock_divider_inst|Add3~13_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add3~14\ : std_logic;
SIGNAL \clock_divider_inst|Add3~17_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add3~18\ : std_logic;
SIGNAL \clock_divider_inst|Add3~21_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add3~22\ : std_logic;
SIGNAL \clock_divider_inst|Add3~1_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Equal3~0_combout\ : std_logic;
SIGNAL \clock_divider_inst|Add3~2\ : std_logic;
SIGNAL \clock_divider_inst|Add3~5_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add3~6\ : std_logic;
SIGNAL \clock_divider_inst|Add3~25_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add3~26\ : std_logic;
SIGNAL \clock_divider_inst|Add3~29_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add3~30\ : std_logic;
SIGNAL \clock_divider_inst|Add3~33_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Add3~34\ : std_logic;
SIGNAL \clock_divider_inst|Add3~37_sumout\ : std_logic;
SIGNAL \clock_divider_inst|Equal3~1_combout\ : std_logic;
SIGNAL \clock_divider_inst|Equal3~2_combout\ : std_logic;
SIGNAL \clock_divider_inst|D~1_combout\ : std_logic;
SIGNAL \clock_divider_inst|D~feeder_combout\ : std_logic;
SIGNAL \clock_divider_inst|D~q\ : std_logic;
SIGNAL \btn_x~input_o\ : std_logic;
SIGNAL \edge_detect_inst|state_current~0_combout\ : std_logic;
SIGNAL \btn_reset~input_o\ : std_logic;
SIGNAL \edge_detect_inst|state_current~q\ : std_logic;
SIGNAL \edge_detect_inst|tick~0_combout\ : std_logic;
SIGNAL \clock_divider_inst|count0\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \clock_divider_inst|count1\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \clock_divider_inst|count2\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \clock_divider_inst|count3\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \ALT_INV_btn_x~input_o\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_Equal0~2_combout\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_D~1_combout\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_Equal3~2_combout\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_Equal3~1_combout\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_Equal3~0_combout\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_Equal2~2_combout\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_Equal2~1_combout\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_Equal2~0_combout\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_D~0_combout\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_Equal1~1_combout\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_Equal1~0_combout\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_Equal0~1_combout\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_Equal0~0_combout\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_D~q\ : std_logic;
SIGNAL \edge_detect_inst|ALT_INV_tick~0_combout\ : std_logic;
SIGNAL \edge_detect_inst|ALT_INV_state_current~q\ : std_logic;
SIGNAL \clock_divider_inst|ALT_INV_count0\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \clock_divider_inst|ALT_INV_count1\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \clock_divider_inst|ALT_INV_count2\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \clock_divider_inst|ALT_INV_count3\ : std_logic_vector(9 DOWNTO 0);

BEGIN

ww_clk_50 <= clk_50;
ww_btn_reset <= btn_reset;
ww_btn_x <= btn_x;
led_y <= ww_led_y;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
\ALT_INV_btn_x~input_o\ <= NOT \btn_x~input_o\;
\clock_divider_inst|ALT_INV_Equal0~2_combout\ <= NOT \clock_divider_inst|Equal0~2_combout\;
\clock_divider_inst|ALT_INV_D~1_combout\ <= NOT \clock_divider_inst|D~1_combout\;
\clock_divider_inst|ALT_INV_Equal3~2_combout\ <= NOT \clock_divider_inst|Equal3~2_combout\;
\clock_divider_inst|ALT_INV_Equal3~1_combout\ <= NOT \clock_divider_inst|Equal3~1_combout\;
\clock_divider_inst|ALT_INV_Equal3~0_combout\ <= NOT \clock_divider_inst|Equal3~0_combout\;
\clock_divider_inst|ALT_INV_Equal2~2_combout\ <= NOT \clock_divider_inst|Equal2~2_combout\;
\clock_divider_inst|ALT_INV_Equal2~1_combout\ <= NOT \clock_divider_inst|Equal2~1_combout\;
\clock_divider_inst|ALT_INV_Equal2~0_combout\ <= NOT \clock_divider_inst|Equal2~0_combout\;
\clock_divider_inst|ALT_INV_D~0_combout\ <= NOT \clock_divider_inst|D~0_combout\;
\clock_divider_inst|ALT_INV_Equal1~1_combout\ <= NOT \clock_divider_inst|Equal1~1_combout\;
\clock_divider_inst|ALT_INV_Equal1~0_combout\ <= NOT \clock_divider_inst|Equal1~0_combout\;
\clock_divider_inst|ALT_INV_Equal0~1_combout\ <= NOT \clock_divider_inst|Equal0~1_combout\;
\clock_divider_inst|ALT_INV_Equal0~0_combout\ <= NOT \clock_divider_inst|Equal0~0_combout\;
\clock_divider_inst|ALT_INV_D~q\ <= NOT \clock_divider_inst|D~q\;
\edge_detect_inst|ALT_INV_tick~0_combout\ <= NOT \edge_detect_inst|tick~0_combout\;
\edge_detect_inst|ALT_INV_state_current~q\ <= NOT \edge_detect_inst|state_current~q\;
\clock_divider_inst|ALT_INV_count0\(3) <= NOT \clock_divider_inst|count0\(3);
\clock_divider_inst|ALT_INV_count0\(1) <= NOT \clock_divider_inst|count0\(1);
\clock_divider_inst|ALT_INV_count0\(0) <= NOT \clock_divider_inst|count0\(0);
\clock_divider_inst|ALT_INV_count0\(2) <= NOT \clock_divider_inst|count0\(2);
\clock_divider_inst|ALT_INV_count0\(8) <= NOT \clock_divider_inst|count0\(8);
\clock_divider_inst|ALT_INV_count0\(5) <= NOT \clock_divider_inst|count0\(5);
\clock_divider_inst|ALT_INV_count0\(4) <= NOT \clock_divider_inst|count0\(4);
\clock_divider_inst|ALT_INV_count0\(6) <= NOT \clock_divider_inst|count0\(6);
\clock_divider_inst|ALT_INV_count0\(7) <= NOT \clock_divider_inst|count0\(7);
\clock_divider_inst|ALT_INV_count0\(9) <= NOT \clock_divider_inst|count0\(9);
\clock_divider_inst|ALT_INV_count1\(9) <= NOT \clock_divider_inst|count1\(9);
\clock_divider_inst|ALT_INV_count1\(0) <= NOT \clock_divider_inst|count1\(0);
\clock_divider_inst|ALT_INV_count1\(1) <= NOT \clock_divider_inst|count1\(1);
\clock_divider_inst|ALT_INV_count1\(2) <= NOT \clock_divider_inst|count1\(2);
\clock_divider_inst|ALT_INV_count1\(3) <= NOT \clock_divider_inst|count1\(3);
\clock_divider_inst|ALT_INV_count1\(4) <= NOT \clock_divider_inst|count1\(4);
\clock_divider_inst|ALT_INV_count1\(6) <= NOT \clock_divider_inst|count1\(6);
\clock_divider_inst|ALT_INV_count1\(5) <= NOT \clock_divider_inst|count1\(5);
\clock_divider_inst|ALT_INV_count1\(7) <= NOT \clock_divider_inst|count1\(7);
\clock_divider_inst|ALT_INV_count1\(8) <= NOT \clock_divider_inst|count1\(8);
\clock_divider_inst|ALT_INV_count2\(0) <= NOT \clock_divider_inst|count2\(0);
\clock_divider_inst|ALT_INV_count2\(1) <= NOT \clock_divider_inst|count2\(1);
\clock_divider_inst|ALT_INV_count2\(3) <= NOT \clock_divider_inst|count2\(3);
\clock_divider_inst|ALT_INV_count2\(2) <= NOT \clock_divider_inst|count2\(2);
\clock_divider_inst|ALT_INV_count2\(4) <= NOT \clock_divider_inst|count2\(4);
\clock_divider_inst|ALT_INV_count2\(5) <= NOT \clock_divider_inst|count2\(5);
\clock_divider_inst|ALT_INV_count2\(7) <= NOT \clock_divider_inst|count2\(7);
\clock_divider_inst|ALT_INV_count2\(6) <= NOT \clock_divider_inst|count2\(6);
\clock_divider_inst|ALT_INV_count2\(8) <= NOT \clock_divider_inst|count2\(8);
\clock_divider_inst|ALT_INV_count2\(9) <= NOT \clock_divider_inst|count2\(9);
\clock_divider_inst|ALT_INV_count3\(4) <= NOT \clock_divider_inst|count3\(4);
\clock_divider_inst|ALT_INV_count3\(5) <= NOT \clock_divider_inst|count3\(5);
\clock_divider_inst|ALT_INV_count3\(0) <= NOT \clock_divider_inst|count3\(0);
\clock_divider_inst|ALT_INV_count3\(1) <= NOT \clock_divider_inst|count3\(1);
\clock_divider_inst|ALT_INV_count3\(2) <= NOT \clock_divider_inst|count3\(2);
\clock_divider_inst|ALT_INV_count3\(3) <= NOT \clock_divider_inst|count3\(3);
\clock_divider_inst|ALT_INV_count3\(6) <= NOT \clock_divider_inst|count3\(6);
\clock_divider_inst|ALT_INV_count3\(7) <= NOT \clock_divider_inst|count3\(7);
\clock_divider_inst|ALT_INV_count3\(8) <= NOT \clock_divider_inst|count3\(8);
\clock_divider_inst|ALT_INV_count3\(9) <= NOT \clock_divider_inst|count3\(9);

-- Location: IOOBUF_X52_Y0_N2
\led_y~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \edge_detect_inst|ALT_INV_tick~0_combout\,
	devoe => ww_devoe,
	o => ww_led_y);

-- Location: IOIBUF_X32_Y0_N1
\clk_50~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk_50,
	o => \clk_50~input_o\);

-- Location: CLKCTRL_G6
\clk_50~inputCLKENA0\ : cyclonev_clkena
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	disable_mode => "low",
	ena_register_mode => "always enabled",
	ena_register_power_up => "high",
	test_syn => "high")
-- pragma translate_on
PORT MAP (
	inclk => \clk_50~input_o\,
	outclk => \clk_50~inputCLKENA0_outclk\);

-- Location: LABCELL_X35_Y2_N0
\clock_divider_inst|Add2~1\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add2~1_sumout\ = SUM(( \clock_divider_inst|count2\(0) ) + ( VCC ) + ( !VCC ))
-- \clock_divider_inst|Add2~2\ = CARRY(( \clock_divider_inst|count2\(0) ) + ( VCC ) + ( !VCC ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count2\(0),
	cin => GND,
	sumout => \clock_divider_inst|Add2~1_sumout\,
	cout => \clock_divider_inst|Add2~2\);

-- Location: LABCELL_X33_Y1_N30
\clock_divider_inst|Add1~5\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add1~5_sumout\ = SUM(( \clock_divider_inst|count1\(0) ) + ( VCC ) + ( !VCC ))
-- \clock_divider_inst|Add1~6\ = CARRY(( \clock_divider_inst|count1\(0) ) + ( VCC ) + ( !VCC ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count1\(0),
	cin => GND,
	sumout => \clock_divider_inst|Add1~5_sumout\,
	cout => \clock_divider_inst|Add1~6\);

-- Location: MLABCELL_X34_Y2_N0
\clock_divider_inst|Add0~5\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add0~5_sumout\ = SUM(( \clock_divider_inst|count0\(0) ) + ( VCC ) + ( !VCC ))
-- \clock_divider_inst|Add0~6\ = CARRY(( \clock_divider_inst|count0\(0) ) + ( VCC ) + ( !VCC ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count0\(0),
	cin => GND,
	sumout => \clock_divider_inst|Add0~5_sumout\,
	cout => \clock_divider_inst|Add0~6\);

-- Location: FF_X34_Y2_N2
\clock_divider_inst|count0[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add0~5_sumout\,
	sclr => \clock_divider_inst|Equal0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count0\(0));

-- Location: MLABCELL_X34_Y2_N3
\clock_divider_inst|Add0~9\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add0~9_sumout\ = SUM(( \clock_divider_inst|count0\(1) ) + ( GND ) + ( \clock_divider_inst|Add0~6\ ))
-- \clock_divider_inst|Add0~10\ = CARRY(( \clock_divider_inst|count0\(1) ) + ( GND ) + ( \clock_divider_inst|Add0~6\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count0\(1),
	cin => \clock_divider_inst|Add0~6\,
	sumout => \clock_divider_inst|Add0~9_sumout\,
	cout => \clock_divider_inst|Add0~10\);

-- Location: FF_X34_Y2_N5
\clock_divider_inst|count0[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add0~9_sumout\,
	sclr => \clock_divider_inst|Equal0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count0\(1));

-- Location: MLABCELL_X34_Y2_N6
\clock_divider_inst|Add0~13\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add0~13_sumout\ = SUM(( \clock_divider_inst|count0\(2) ) + ( GND ) + ( \clock_divider_inst|Add0~10\ ))
-- \clock_divider_inst|Add0~14\ = CARRY(( \clock_divider_inst|count0\(2) ) + ( GND ) + ( \clock_divider_inst|Add0~10\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count0\(2),
	cin => \clock_divider_inst|Add0~10\,
	sumout => \clock_divider_inst|Add0~13_sumout\,
	cout => \clock_divider_inst|Add0~14\);

-- Location: FF_X34_Y2_N8
\clock_divider_inst|count0[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add0~13_sumout\,
	sclr => \clock_divider_inst|Equal0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count0\(2));

-- Location: MLABCELL_X34_Y2_N9
\clock_divider_inst|Add0~1\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add0~1_sumout\ = SUM(( \clock_divider_inst|count0\(3) ) + ( GND ) + ( \clock_divider_inst|Add0~14\ ))
-- \clock_divider_inst|Add0~2\ = CARRY(( \clock_divider_inst|count0\(3) ) + ( GND ) + ( \clock_divider_inst|Add0~14\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count0\(3),
	cin => \clock_divider_inst|Add0~14\,
	sumout => \clock_divider_inst|Add0~1_sumout\,
	cout => \clock_divider_inst|Add0~2\);

-- Location: FF_X34_Y2_N11
\clock_divider_inst|count0[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add0~1_sumout\,
	sclr => \clock_divider_inst|Equal0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count0\(3));

-- Location: MLABCELL_X34_Y2_N12
\clock_divider_inst|Add0~21\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add0~21_sumout\ = SUM(( \clock_divider_inst|count0\(4) ) + ( GND ) + ( \clock_divider_inst|Add0~2\ ))
-- \clock_divider_inst|Add0~22\ = CARRY(( \clock_divider_inst|count0\(4) ) + ( GND ) + ( \clock_divider_inst|Add0~2\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count0\(4),
	cin => \clock_divider_inst|Add0~2\,
	sumout => \clock_divider_inst|Add0~21_sumout\,
	cout => \clock_divider_inst|Add0~22\);

-- Location: FF_X34_Y2_N14
\clock_divider_inst|count0[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add0~21_sumout\,
	sclr => \clock_divider_inst|Equal0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count0\(4));

-- Location: MLABCELL_X34_Y2_N15
\clock_divider_inst|Add0~25\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add0~25_sumout\ = SUM(( \clock_divider_inst|count0\(5) ) + ( GND ) + ( \clock_divider_inst|Add0~22\ ))
-- \clock_divider_inst|Add0~26\ = CARRY(( \clock_divider_inst|count0\(5) ) + ( GND ) + ( \clock_divider_inst|Add0~22\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count0\(5),
	cin => \clock_divider_inst|Add0~22\,
	sumout => \clock_divider_inst|Add0~25_sumout\,
	cout => \clock_divider_inst|Add0~26\);

-- Location: FF_X34_Y2_N16
\clock_divider_inst|count0[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add0~25_sumout\,
	sclr => \clock_divider_inst|Equal0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count0\(5));

-- Location: MLABCELL_X34_Y2_N18
\clock_divider_inst|Add0~29\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add0~29_sumout\ = SUM(( \clock_divider_inst|count0\(6) ) + ( GND ) + ( \clock_divider_inst|Add0~26\ ))
-- \clock_divider_inst|Add0~30\ = CARRY(( \clock_divider_inst|count0\(6) ) + ( GND ) + ( \clock_divider_inst|Add0~26\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count0\(6),
	cin => \clock_divider_inst|Add0~26\,
	sumout => \clock_divider_inst|Add0~29_sumout\,
	cout => \clock_divider_inst|Add0~30\);

-- Location: FF_X34_Y2_N19
\clock_divider_inst|count0[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add0~29_sumout\,
	sclr => \clock_divider_inst|Equal0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count0\(6));

-- Location: MLABCELL_X34_Y2_N21
\clock_divider_inst|Add0~33\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add0~33_sumout\ = SUM(( \clock_divider_inst|count0\(7) ) + ( GND ) + ( \clock_divider_inst|Add0~30\ ))
-- \clock_divider_inst|Add0~34\ = CARRY(( \clock_divider_inst|count0\(7) ) + ( GND ) + ( \clock_divider_inst|Add0~30\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count0\(7),
	cin => \clock_divider_inst|Add0~30\,
	sumout => \clock_divider_inst|Add0~33_sumout\,
	cout => \clock_divider_inst|Add0~34\);

-- Location: FF_X34_Y2_N22
\clock_divider_inst|count0[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add0~33_sumout\,
	sclr => \clock_divider_inst|Equal0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count0\(7));

-- Location: MLABCELL_X34_Y2_N24
\clock_divider_inst|Add0~17\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add0~17_sumout\ = SUM(( \clock_divider_inst|count0\(8) ) + ( GND ) + ( \clock_divider_inst|Add0~34\ ))
-- \clock_divider_inst|Add0~18\ = CARRY(( \clock_divider_inst|count0\(8) ) + ( GND ) + ( \clock_divider_inst|Add0~34\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count0\(8),
	cin => \clock_divider_inst|Add0~34\,
	sumout => \clock_divider_inst|Add0~17_sumout\,
	cout => \clock_divider_inst|Add0~18\);

-- Location: FF_X34_Y2_N26
\clock_divider_inst|count0[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add0~17_sumout\,
	sclr => \clock_divider_inst|Equal0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count0\(8));

-- Location: MLABCELL_X34_Y2_N30
\clock_divider_inst|Equal0~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Equal0~0_combout\ = ( \clock_divider_inst|count0\(0) & ( !\clock_divider_inst|count0\(4) & ( (\clock_divider_inst|count0\(1) & (\clock_divider_inst|count0\(2) & (!\clock_divider_inst|count0\(8) & !\clock_divider_inst|count0\(3)))) ) ) 
-- )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000100000000000000000000000000000000000000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \clock_divider_inst|ALT_INV_count0\(1),
	datab => \clock_divider_inst|ALT_INV_count0\(2),
	datac => \clock_divider_inst|ALT_INV_count0\(8),
	datad => \clock_divider_inst|ALT_INV_count0\(3),
	datae => \clock_divider_inst|ALT_INV_count0\(0),
	dataf => \clock_divider_inst|ALT_INV_count0\(4),
	combout => \clock_divider_inst|Equal0~0_combout\);

-- Location: MLABCELL_X34_Y2_N27
\clock_divider_inst|Add0~37\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add0~37_sumout\ = SUM(( \clock_divider_inst|count0\(9) ) + ( GND ) + ( \clock_divider_inst|Add0~18\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count0\(9),
	cin => \clock_divider_inst|Add0~18\,
	sumout => \clock_divider_inst|Add0~37_sumout\);

-- Location: FF_X34_Y2_N28
\clock_divider_inst|count0[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add0~37_sumout\,
	sclr => \clock_divider_inst|Equal0~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count0\(9));

-- Location: LABCELL_X35_Y1_N33
\clock_divider_inst|Equal0~1\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Equal0~1_combout\ = ( \clock_divider_inst|count0\(6) & ( !\clock_divider_inst|count0\(5) & ( (!\clock_divider_inst|count0\(7) & !\clock_divider_inst|count0\(9)) ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000101000001010000000000000000000000000000000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \clock_divider_inst|ALT_INV_count0\(7),
	datac => \clock_divider_inst|ALT_INV_count0\(9),
	datae => \clock_divider_inst|ALT_INV_count0\(6),
	dataf => \clock_divider_inst|ALT_INV_count0\(5),
	combout => \clock_divider_inst|Equal0~1_combout\);

-- Location: LABCELL_X33_Y1_N21
\clock_divider_inst|Equal0~2\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Equal0~2_combout\ = ( \clock_divider_inst|Equal0~0_combout\ & ( \clock_divider_inst|Equal0~1_combout\ ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000001111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datae => \clock_divider_inst|ALT_INV_Equal0~0_combout\,
	dataf => \clock_divider_inst|ALT_INV_Equal0~1_combout\,
	combout => \clock_divider_inst|Equal0~2_combout\);

-- Location: LABCELL_X33_Y1_N54
\clock_divider_inst|Add1~37\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add1~37_sumout\ = SUM(( \clock_divider_inst|count1\(8) ) + ( GND ) + ( \clock_divider_inst|Add1~34\ ))
-- \clock_divider_inst|Add1~38\ = CARRY(( \clock_divider_inst|count1\(8) ) + ( GND ) + ( \clock_divider_inst|Add1~34\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count1\(8),
	cin => \clock_divider_inst|Add1~34\,
	sumout => \clock_divider_inst|Add1~37_sumout\,
	cout => \clock_divider_inst|Add1~38\);

-- Location: LABCELL_X33_Y1_N57
\clock_divider_inst|Add1~1\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add1~1_sumout\ = SUM(( \clock_divider_inst|count1\(9) ) + ( GND ) + ( \clock_divider_inst|Add1~38\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count1\(9),
	cin => \clock_divider_inst|Add1~38\,
	sumout => \clock_divider_inst|Add1~1_sumout\);

-- Location: FF_X33_Y1_N58
\clock_divider_inst|count1[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add1~1_sumout\,
	sclr => \clock_divider_inst|ALT_INV_Equal0~2_combout\,
	ena => \clock_divider_inst|D~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count1\(9));

-- Location: LABCELL_X33_Y1_N0
\clock_divider_inst|Equal1~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Equal1~0_combout\ = ( \clock_divider_inst|count1\(2) & ( \clock_divider_inst|count1\(1) & ( (!\clock_divider_inst|count1\(9) & (!\clock_divider_inst|count1\(3) & (\clock_divider_inst|count1\(0) & !\clock_divider_inst|count1\(4)))) ) ) 
-- )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000000100000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \clock_divider_inst|ALT_INV_count1\(9),
	datab => \clock_divider_inst|ALT_INV_count1\(3),
	datac => \clock_divider_inst|ALT_INV_count1\(0),
	datad => \clock_divider_inst|ALT_INV_count1\(4),
	datae => \clock_divider_inst|ALT_INV_count1\(2),
	dataf => \clock_divider_inst|ALT_INV_count1\(1),
	combout => \clock_divider_inst|Equal1~0_combout\);

-- Location: LABCELL_X33_Y1_N9
\clock_divider_inst|D~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|D~0_combout\ = ( \clock_divider_inst|Equal0~1_combout\ & ( ((\clock_divider_inst|Equal1~1_combout\ & \clock_divider_inst|Equal1~0_combout\)) # (\clock_divider_inst|Equal0~0_combout\) ) ) # ( !\clock_divider_inst|Equal0~1_combout\ & ( 
-- (\clock_divider_inst|Equal1~1_combout\ & \clock_divider_inst|Equal1~0_combout\) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000110011000000000011001100001111001111110000111100111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \clock_divider_inst|ALT_INV_Equal1~1_combout\,
	datac => \clock_divider_inst|ALT_INV_Equal0~0_combout\,
	datad => \clock_divider_inst|ALT_INV_Equal1~0_combout\,
	dataf => \clock_divider_inst|ALT_INV_Equal0~1_combout\,
	combout => \clock_divider_inst|D~0_combout\);

-- Location: FF_X33_Y1_N31
\clock_divider_inst|count1[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add1~5_sumout\,
	sclr => \clock_divider_inst|ALT_INV_Equal0~2_combout\,
	ena => \clock_divider_inst|D~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count1\(0));

-- Location: LABCELL_X33_Y1_N33
\clock_divider_inst|Add1~9\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add1~9_sumout\ = SUM(( \clock_divider_inst|count1\(1) ) + ( GND ) + ( \clock_divider_inst|Add1~6\ ))
-- \clock_divider_inst|Add1~10\ = CARRY(( \clock_divider_inst|count1\(1) ) + ( GND ) + ( \clock_divider_inst|Add1~6\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count1\(1),
	cin => \clock_divider_inst|Add1~6\,
	sumout => \clock_divider_inst|Add1~9_sumout\,
	cout => \clock_divider_inst|Add1~10\);

-- Location: FF_X33_Y1_N35
\clock_divider_inst|count1[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add1~9_sumout\,
	sclr => \clock_divider_inst|ALT_INV_Equal0~2_combout\,
	ena => \clock_divider_inst|D~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count1\(1));

-- Location: LABCELL_X33_Y1_N36
\clock_divider_inst|Add1~13\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add1~13_sumout\ = SUM(( \clock_divider_inst|count1\(2) ) + ( GND ) + ( \clock_divider_inst|Add1~10\ ))
-- \clock_divider_inst|Add1~14\ = CARRY(( \clock_divider_inst|count1\(2) ) + ( GND ) + ( \clock_divider_inst|Add1~10\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count1\(2),
	cin => \clock_divider_inst|Add1~10\,
	sumout => \clock_divider_inst|Add1~13_sumout\,
	cout => \clock_divider_inst|Add1~14\);

-- Location: FF_X33_Y1_N38
\clock_divider_inst|count1[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add1~13_sumout\,
	sclr => \clock_divider_inst|ALT_INV_Equal0~2_combout\,
	ena => \clock_divider_inst|D~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count1\(2));

-- Location: LABCELL_X33_Y1_N39
\clock_divider_inst|Add1~17\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add1~17_sumout\ = SUM(( \clock_divider_inst|count1\(3) ) + ( GND ) + ( \clock_divider_inst|Add1~14\ ))
-- \clock_divider_inst|Add1~18\ = CARRY(( \clock_divider_inst|count1\(3) ) + ( GND ) + ( \clock_divider_inst|Add1~14\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count1\(3),
	cin => \clock_divider_inst|Add1~14\,
	sumout => \clock_divider_inst|Add1~17_sumout\,
	cout => \clock_divider_inst|Add1~18\);

-- Location: FF_X33_Y1_N41
\clock_divider_inst|count1[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add1~17_sumout\,
	sclr => \clock_divider_inst|ALT_INV_Equal0~2_combout\,
	ena => \clock_divider_inst|D~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count1\(3));

-- Location: LABCELL_X33_Y1_N42
\clock_divider_inst|Add1~21\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add1~21_sumout\ = SUM(( \clock_divider_inst|count1\(4) ) + ( GND ) + ( \clock_divider_inst|Add1~18\ ))
-- \clock_divider_inst|Add1~22\ = CARRY(( \clock_divider_inst|count1\(4) ) + ( GND ) + ( \clock_divider_inst|Add1~18\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count1\(4),
	cin => \clock_divider_inst|Add1~18\,
	sumout => \clock_divider_inst|Add1~21_sumout\,
	cout => \clock_divider_inst|Add1~22\);

-- Location: FF_X33_Y1_N44
\clock_divider_inst|count1[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add1~21_sumout\,
	sclr => \clock_divider_inst|ALT_INV_Equal0~2_combout\,
	ena => \clock_divider_inst|D~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count1\(4));

-- Location: LABCELL_X33_Y1_N45
\clock_divider_inst|Add1~25\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add1~25_sumout\ = SUM(( \clock_divider_inst|count1\(5) ) + ( GND ) + ( \clock_divider_inst|Add1~22\ ))
-- \clock_divider_inst|Add1~26\ = CARRY(( \clock_divider_inst|count1\(5) ) + ( GND ) + ( \clock_divider_inst|Add1~22\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count1\(5),
	cin => \clock_divider_inst|Add1~22\,
	sumout => \clock_divider_inst|Add1~25_sumout\,
	cout => \clock_divider_inst|Add1~26\);

-- Location: FF_X33_Y1_N47
\clock_divider_inst|count1[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add1~25_sumout\,
	sclr => \clock_divider_inst|ALT_INV_Equal0~2_combout\,
	ena => \clock_divider_inst|D~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count1\(5));

-- Location: LABCELL_X33_Y1_N48
\clock_divider_inst|Add1~29\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add1~29_sumout\ = SUM(( \clock_divider_inst|count1\(6) ) + ( GND ) + ( \clock_divider_inst|Add1~26\ ))
-- \clock_divider_inst|Add1~30\ = CARRY(( \clock_divider_inst|count1\(6) ) + ( GND ) + ( \clock_divider_inst|Add1~26\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count1\(6),
	cin => \clock_divider_inst|Add1~26\,
	sumout => \clock_divider_inst|Add1~29_sumout\,
	cout => \clock_divider_inst|Add1~30\);

-- Location: FF_X33_Y1_N50
\clock_divider_inst|count1[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add1~29_sumout\,
	sclr => \clock_divider_inst|ALT_INV_Equal0~2_combout\,
	ena => \clock_divider_inst|D~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count1\(6));

-- Location: LABCELL_X33_Y1_N51
\clock_divider_inst|Add1~33\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add1~33_sumout\ = SUM(( \clock_divider_inst|count1\(7) ) + ( GND ) + ( \clock_divider_inst|Add1~30\ ))
-- \clock_divider_inst|Add1~34\ = CARRY(( \clock_divider_inst|count1\(7) ) + ( GND ) + ( \clock_divider_inst|Add1~30\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count1\(7),
	cin => \clock_divider_inst|Add1~30\,
	sumout => \clock_divider_inst|Add1~33_sumout\,
	cout => \clock_divider_inst|Add1~34\);

-- Location: FF_X33_Y1_N53
\clock_divider_inst|count1[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add1~33_sumout\,
	sclr => \clock_divider_inst|ALT_INV_Equal0~2_combout\,
	ena => \clock_divider_inst|D~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count1\(7));

-- Location: FF_X33_Y1_N56
\clock_divider_inst|count1[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add1~37_sumout\,
	sclr => \clock_divider_inst|ALT_INV_Equal0~2_combout\,
	ena => \clock_divider_inst|D~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count1\(8));

-- Location: LABCELL_X33_Y1_N6
\clock_divider_inst|Equal1~1\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Equal1~1_combout\ = ( \clock_divider_inst|count1\(6) & ( (!\clock_divider_inst|count1\(8) & (!\clock_divider_inst|count1\(7) & !\clock_divider_inst|count1\(5))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000010100000000000001010000000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \clock_divider_inst|ALT_INV_count1\(8),
	datac => \clock_divider_inst|ALT_INV_count1\(7),
	datad => \clock_divider_inst|ALT_INV_count1\(5),
	dataf => \clock_divider_inst|ALT_INV_count1\(6),
	combout => \clock_divider_inst|Equal1~1_combout\);

-- Location: MLABCELL_X34_Y1_N39
\clock_divider_inst|Equal1~2\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Equal1~2_combout\ = (!\clock_divider_inst|Equal1~1_combout\) # (!\clock_divider_inst|Equal1~0_combout\)

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1111101011111010111110101111101011111010111110101111101011111010",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \clock_divider_inst|ALT_INV_Equal1~1_combout\,
	datac => \clock_divider_inst|ALT_INV_Equal1~0_combout\,
	combout => \clock_divider_inst|Equal1~2_combout\);

-- Location: LABCELL_X35_Y2_N3
\clock_divider_inst|Add2~5\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add2~5_sumout\ = SUM(( \clock_divider_inst|count2\(1) ) + ( GND ) + ( \clock_divider_inst|Add2~2\ ))
-- \clock_divider_inst|Add2~6\ = CARRY(( \clock_divider_inst|count2\(1) ) + ( GND ) + ( \clock_divider_inst|Add2~2\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count2\(1),
	cin => \clock_divider_inst|Add2~2\,
	sumout => \clock_divider_inst|Add2~5_sumout\,
	cout => \clock_divider_inst|Add2~6\);

-- Location: LABCELL_X35_Y2_N6
\clock_divider_inst|Add2~9\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add2~9_sumout\ = SUM(( \clock_divider_inst|count2\(2) ) + ( GND ) + ( \clock_divider_inst|Add2~6\ ))
-- \clock_divider_inst|Add2~10\ = CARRY(( \clock_divider_inst|count2\(2) ) + ( GND ) + ( \clock_divider_inst|Add2~6\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count2\(2),
	cin => \clock_divider_inst|Add2~6\,
	sumout => \clock_divider_inst|Add2~9_sumout\,
	cout => \clock_divider_inst|Add2~10\);

-- Location: FF_X35_Y2_N8
\clock_divider_inst|count2[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add2~9_sumout\,
	sclr => \clock_divider_inst|Equal1~2_combout\,
	ena => \clock_divider_inst|count2[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count2\(2));

-- Location: LABCELL_X35_Y2_N9
\clock_divider_inst|Add2~13\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add2~13_sumout\ = SUM(( \clock_divider_inst|count2\(3) ) + ( GND ) + ( \clock_divider_inst|Add2~10\ ))
-- \clock_divider_inst|Add2~14\ = CARRY(( \clock_divider_inst|count2\(3) ) + ( GND ) + ( \clock_divider_inst|Add2~10\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count2\(3),
	cin => \clock_divider_inst|Add2~10\,
	sumout => \clock_divider_inst|Add2~13_sumout\,
	cout => \clock_divider_inst|Add2~14\);

-- Location: FF_X35_Y2_N10
\clock_divider_inst|count2[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add2~13_sumout\,
	sclr => \clock_divider_inst|Equal1~2_combout\,
	ena => \clock_divider_inst|count2[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count2\(3));

-- Location: LABCELL_X35_Y2_N12
\clock_divider_inst|Add2~17\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add2~17_sumout\ = SUM(( \clock_divider_inst|count2\(4) ) + ( GND ) + ( \clock_divider_inst|Add2~14\ ))
-- \clock_divider_inst|Add2~18\ = CARRY(( \clock_divider_inst|count2\(4) ) + ( GND ) + ( \clock_divider_inst|Add2~14\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count2\(4),
	cin => \clock_divider_inst|Add2~14\,
	sumout => \clock_divider_inst|Add2~17_sumout\,
	cout => \clock_divider_inst|Add2~18\);

-- Location: FF_X35_Y2_N14
\clock_divider_inst|count2[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add2~17_sumout\,
	sclr => \clock_divider_inst|Equal1~2_combout\,
	ena => \clock_divider_inst|count2[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count2\(4));

-- Location: LABCELL_X35_Y2_N15
\clock_divider_inst|Add2~21\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add2~21_sumout\ = SUM(( \clock_divider_inst|count2\(5) ) + ( GND ) + ( \clock_divider_inst|Add2~18\ ))
-- \clock_divider_inst|Add2~22\ = CARRY(( \clock_divider_inst|count2\(5) ) + ( GND ) + ( \clock_divider_inst|Add2~18\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count2\(5),
	cin => \clock_divider_inst|Add2~18\,
	sumout => \clock_divider_inst|Add2~21_sumout\,
	cout => \clock_divider_inst|Add2~22\);

-- Location: FF_X35_Y2_N17
\clock_divider_inst|count2[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add2~21_sumout\,
	sclr => \clock_divider_inst|Equal1~2_combout\,
	ena => \clock_divider_inst|count2[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count2\(5));

-- Location: LABCELL_X35_Y2_N18
\clock_divider_inst|Add2~25\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add2~25_sumout\ = SUM(( \clock_divider_inst|count2\(6) ) + ( GND ) + ( \clock_divider_inst|Add2~22\ ))
-- \clock_divider_inst|Add2~26\ = CARRY(( \clock_divider_inst|count2\(6) ) + ( GND ) + ( \clock_divider_inst|Add2~22\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count2\(6),
	cin => \clock_divider_inst|Add2~22\,
	sumout => \clock_divider_inst|Add2~25_sumout\,
	cout => \clock_divider_inst|Add2~26\);

-- Location: FF_X35_Y2_N20
\clock_divider_inst|count2[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add2~25_sumout\,
	sclr => \clock_divider_inst|Equal1~2_combout\,
	ena => \clock_divider_inst|count2[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count2\(6));

-- Location: LABCELL_X35_Y2_N21
\clock_divider_inst|Add2~29\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add2~29_sumout\ = SUM(( \clock_divider_inst|count2\(7) ) + ( GND ) + ( \clock_divider_inst|Add2~26\ ))
-- \clock_divider_inst|Add2~30\ = CARRY(( \clock_divider_inst|count2\(7) ) + ( GND ) + ( \clock_divider_inst|Add2~26\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count2\(7),
	cin => \clock_divider_inst|Add2~26\,
	sumout => \clock_divider_inst|Add2~29_sumout\,
	cout => \clock_divider_inst|Add2~30\);

-- Location: FF_X35_Y2_N23
\clock_divider_inst|count2[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add2~29_sumout\,
	sclr => \clock_divider_inst|Equal1~2_combout\,
	ena => \clock_divider_inst|count2[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count2\(7));

-- Location: LABCELL_X35_Y2_N24
\clock_divider_inst|Add2~33\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add2~33_sumout\ = SUM(( \clock_divider_inst|count2\(8) ) + ( GND ) + ( \clock_divider_inst|Add2~30\ ))
-- \clock_divider_inst|Add2~34\ = CARRY(( \clock_divider_inst|count2\(8) ) + ( GND ) + ( \clock_divider_inst|Add2~30\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count2\(8),
	cin => \clock_divider_inst|Add2~30\,
	sumout => \clock_divider_inst|Add2~33_sumout\,
	cout => \clock_divider_inst|Add2~34\);

-- Location: FF_X35_Y2_N26
\clock_divider_inst|count2[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add2~33_sumout\,
	sclr => \clock_divider_inst|Equal1~2_combout\,
	ena => \clock_divider_inst|count2[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count2\(8));

-- Location: LABCELL_X35_Y2_N27
\clock_divider_inst|Add2~37\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add2~37_sumout\ = SUM(( \clock_divider_inst|count2\(9) ) + ( GND ) + ( \clock_divider_inst|Add2~34\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count2\(9),
	cin => \clock_divider_inst|Add2~34\,
	sumout => \clock_divider_inst|Add2~37_sumout\);

-- Location: FF_X35_Y2_N29
\clock_divider_inst|count2[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add2~37_sumout\,
	sclr => \clock_divider_inst|Equal1~2_combout\,
	ena => \clock_divider_inst|count2[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count2\(9));

-- Location: LABCELL_X35_Y2_N36
\clock_divider_inst|Equal2~1\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Equal2~1_combout\ = ( !\clock_divider_inst|count2\(9) & ( \clock_divider_inst|count2\(6) & ( (!\clock_divider_inst|count2\(7) & !\clock_divider_inst|count2\(8)) ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000010100000101000000000000000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \clock_divider_inst|ALT_INV_count2\(7),
	datac => \clock_divider_inst|ALT_INV_count2\(8),
	datae => \clock_divider_inst|ALT_INV_count2\(9),
	dataf => \clock_divider_inst|ALT_INV_count2\(6),
	combout => \clock_divider_inst|Equal2~1_combout\);

-- Location: MLABCELL_X34_Y1_N48
\clock_divider_inst|count2[0]~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|count2[0]~0_combout\ = ( \clock_divider_inst|Equal1~1_combout\ & ( \clock_divider_inst|Equal2~1_combout\ & ( (!\clock_divider_inst|Equal0~0_combout\ & (((\clock_divider_inst|Equal2~0_combout\)) # 
-- (\clock_divider_inst|Equal1~0_combout\))) # (\clock_divider_inst|Equal0~0_combout\ & (!\clock_divider_inst|Equal0~1_combout\ & ((\clock_divider_inst|Equal2~0_combout\) # (\clock_divider_inst|Equal1~0_combout\)))) ) ) ) # ( 
-- !\clock_divider_inst|Equal1~1_combout\ & ( \clock_divider_inst|Equal2~1_combout\ & ( (\clock_divider_inst|Equal2~0_combout\ & ((!\clock_divider_inst|Equal0~0_combout\) # (!\clock_divider_inst|Equal0~1_combout\))) ) ) ) # ( 
-- \clock_divider_inst|Equal1~1_combout\ & ( !\clock_divider_inst|Equal2~1_combout\ & ( (\clock_divider_inst|Equal1~0_combout\ & ((!\clock_divider_inst|Equal0~0_combout\) # (!\clock_divider_inst|Equal0~1_combout\))) ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000001100100011001000000000111110100011001011111010",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \clock_divider_inst|ALT_INV_Equal0~0_combout\,
	datab => \clock_divider_inst|ALT_INV_Equal1~0_combout\,
	datac => \clock_divider_inst|ALT_INV_Equal0~1_combout\,
	datad => \clock_divider_inst|ALT_INV_Equal2~0_combout\,
	datae => \clock_divider_inst|ALT_INV_Equal1~1_combout\,
	dataf => \clock_divider_inst|ALT_INV_Equal2~1_combout\,
	combout => \clock_divider_inst|count2[0]~0_combout\);

-- Location: FF_X35_Y2_N2
\clock_divider_inst|count2[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add2~1_sumout\,
	sclr => \clock_divider_inst|Equal1~2_combout\,
	ena => \clock_divider_inst|count2[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count2\(0));

-- Location: FF_X35_Y2_N5
\clock_divider_inst|count2[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add2~5_sumout\,
	sclr => \clock_divider_inst|Equal1~2_combout\,
	ena => \clock_divider_inst|count2[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count2\(1));

-- Location: LABCELL_X35_Y2_N30
\clock_divider_inst|Equal2~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Equal2~0_combout\ = ( \clock_divider_inst|count2\(0) & ( \clock_divider_inst|count2\(2) & ( (\clock_divider_inst|count2\(1) & (!\clock_divider_inst|count2\(5) & (!\clock_divider_inst|count2\(3) & !\clock_divider_inst|count2\(4)))) ) ) 
-- )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000100000000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \clock_divider_inst|ALT_INV_count2\(1),
	datab => \clock_divider_inst|ALT_INV_count2\(5),
	datac => \clock_divider_inst|ALT_INV_count2\(3),
	datad => \clock_divider_inst|ALT_INV_count2\(4),
	datae => \clock_divider_inst|ALT_INV_count2\(0),
	dataf => \clock_divider_inst|ALT_INV_count2\(2),
	combout => \clock_divider_inst|Equal2~0_combout\);

-- Location: MLABCELL_X34_Y1_N33
\clock_divider_inst|Equal2~2\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Equal2~2_combout\ = ( !\clock_divider_inst|Equal2~0_combout\ & ( \clock_divider_inst|Equal2~1_combout\ ) ) # ( \clock_divider_inst|Equal2~0_combout\ & ( !\clock_divider_inst|Equal2~1_combout\ ) ) # ( 
-- !\clock_divider_inst|Equal2~0_combout\ & ( !\clock_divider_inst|Equal2~1_combout\ ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1111111111111111111111111111111111111111111111110000000000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datae => \clock_divider_inst|ALT_INV_Equal2~0_combout\,
	dataf => \clock_divider_inst|ALT_INV_Equal2~1_combout\,
	combout => \clock_divider_inst|Equal2~2_combout\);

-- Location: MLABCELL_X34_Y1_N0
\clock_divider_inst|Add3~9\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add3~9_sumout\ = SUM(( \clock_divider_inst|count3\(0) ) + ( VCC ) + ( !VCC ))
-- \clock_divider_inst|Add3~10\ = CARRY(( \clock_divider_inst|count3\(0) ) + ( VCC ) + ( !VCC ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count3\(0),
	cin => GND,
	sumout => \clock_divider_inst|Add3~9_sumout\,
	cout => \clock_divider_inst|Add3~10\);

-- Location: LABCELL_X33_Y1_N12
\clock_divider_inst|count3[0]~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|count3[0]~0_combout\ = (!\clock_divider_inst|D~0_combout\ & ((!\clock_divider_inst|Equal2~2_combout\) # (\clock_divider_inst|Equal3~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1011000010110000101100001011000010110000101100001011000010110000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \clock_divider_inst|ALT_INV_Equal2~2_combout\,
	datab => \clock_divider_inst|ALT_INV_Equal3~2_combout\,
	datac => \clock_divider_inst|ALT_INV_D~0_combout\,
	combout => \clock_divider_inst|count3[0]~0_combout\);

-- Location: FF_X34_Y1_N2
\clock_divider_inst|count3[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add3~9_sumout\,
	sclr => \clock_divider_inst|Equal2~2_combout\,
	ena => \clock_divider_inst|count3[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count3\(0));

-- Location: MLABCELL_X34_Y1_N3
\clock_divider_inst|Add3~13\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add3~13_sumout\ = SUM(( \clock_divider_inst|count3\(1) ) + ( GND ) + ( \clock_divider_inst|Add3~10\ ))
-- \clock_divider_inst|Add3~14\ = CARRY(( \clock_divider_inst|count3\(1) ) + ( GND ) + ( \clock_divider_inst|Add3~10\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count3\(1),
	cin => \clock_divider_inst|Add3~10\,
	sumout => \clock_divider_inst|Add3~13_sumout\,
	cout => \clock_divider_inst|Add3~14\);

-- Location: FF_X34_Y1_N5
\clock_divider_inst|count3[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add3~13_sumout\,
	sclr => \clock_divider_inst|Equal2~2_combout\,
	ena => \clock_divider_inst|count3[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count3\(1));

-- Location: MLABCELL_X34_Y1_N6
\clock_divider_inst|Add3~17\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add3~17_sumout\ = SUM(( \clock_divider_inst|count3\(2) ) + ( GND ) + ( \clock_divider_inst|Add3~14\ ))
-- \clock_divider_inst|Add3~18\ = CARRY(( \clock_divider_inst|count3\(2) ) + ( GND ) + ( \clock_divider_inst|Add3~14\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count3\(2),
	cin => \clock_divider_inst|Add3~14\,
	sumout => \clock_divider_inst|Add3~17_sumout\,
	cout => \clock_divider_inst|Add3~18\);

-- Location: FF_X34_Y1_N8
\clock_divider_inst|count3[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add3~17_sumout\,
	sclr => \clock_divider_inst|Equal2~2_combout\,
	ena => \clock_divider_inst|count3[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count3\(2));

-- Location: MLABCELL_X34_Y1_N9
\clock_divider_inst|Add3~21\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add3~21_sumout\ = SUM(( \clock_divider_inst|count3\(3) ) + ( GND ) + ( \clock_divider_inst|Add3~18\ ))
-- \clock_divider_inst|Add3~22\ = CARRY(( \clock_divider_inst|count3\(3) ) + ( GND ) + ( \clock_divider_inst|Add3~18\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count3\(3),
	cin => \clock_divider_inst|Add3~18\,
	sumout => \clock_divider_inst|Add3~21_sumout\,
	cout => \clock_divider_inst|Add3~22\);

-- Location: FF_X34_Y1_N11
\clock_divider_inst|count3[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add3~21_sumout\,
	sclr => \clock_divider_inst|Equal2~2_combout\,
	ena => \clock_divider_inst|count3[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count3\(3));

-- Location: MLABCELL_X34_Y1_N12
\clock_divider_inst|Add3~1\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add3~1_sumout\ = SUM(( \clock_divider_inst|count3\(4) ) + ( GND ) + ( \clock_divider_inst|Add3~22\ ))
-- \clock_divider_inst|Add3~2\ = CARRY(( \clock_divider_inst|count3\(4) ) + ( GND ) + ( \clock_divider_inst|Add3~22\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count3\(4),
	cin => \clock_divider_inst|Add3~22\,
	sumout => \clock_divider_inst|Add3~1_sumout\,
	cout => \clock_divider_inst|Add3~2\);

-- Location: FF_X34_Y1_N14
\clock_divider_inst|count3[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add3~1_sumout\,
	sclr => \clock_divider_inst|Equal2~2_combout\,
	ena => \clock_divider_inst|count3[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count3\(4));

-- Location: MLABCELL_X34_Y1_N36
\clock_divider_inst|Equal3~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Equal3~0_combout\ = ( !\clock_divider_inst|count3\(3) & ( (\clock_divider_inst|count3\(2) & (\clock_divider_inst|count3\(0) & \clock_divider_inst|count3\(1))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000011000000000000001100000000000000000000000000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \clock_divider_inst|ALT_INV_count3\(2),
	datac => \clock_divider_inst|ALT_INV_count3\(0),
	datad => \clock_divider_inst|ALT_INV_count3\(1),
	dataf => \clock_divider_inst|ALT_INV_count3\(3),
	combout => \clock_divider_inst|Equal3~0_combout\);

-- Location: MLABCELL_X34_Y1_N15
\clock_divider_inst|Add3~5\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add3~5_sumout\ = SUM(( \clock_divider_inst|count3\(5) ) + ( GND ) + ( \clock_divider_inst|Add3~2\ ))
-- \clock_divider_inst|Add3~6\ = CARRY(( \clock_divider_inst|count3\(5) ) + ( GND ) + ( \clock_divider_inst|Add3~2\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count3\(5),
	cin => \clock_divider_inst|Add3~2\,
	sumout => \clock_divider_inst|Add3~5_sumout\,
	cout => \clock_divider_inst|Add3~6\);

-- Location: FF_X34_Y1_N17
\clock_divider_inst|count3[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add3~5_sumout\,
	sclr => \clock_divider_inst|Equal2~2_combout\,
	ena => \clock_divider_inst|count3[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count3\(5));

-- Location: MLABCELL_X34_Y1_N18
\clock_divider_inst|Add3~25\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add3~25_sumout\ = SUM(( \clock_divider_inst|count3\(6) ) + ( GND ) + ( \clock_divider_inst|Add3~6\ ))
-- \clock_divider_inst|Add3~26\ = CARRY(( \clock_divider_inst|count3\(6) ) + ( GND ) + ( \clock_divider_inst|Add3~6\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count3\(6),
	cin => \clock_divider_inst|Add3~6\,
	sumout => \clock_divider_inst|Add3~25_sumout\,
	cout => \clock_divider_inst|Add3~26\);

-- Location: FF_X34_Y1_N20
\clock_divider_inst|count3[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add3~25_sumout\,
	sclr => \clock_divider_inst|Equal2~2_combout\,
	ena => \clock_divider_inst|count3[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count3\(6));

-- Location: MLABCELL_X34_Y1_N21
\clock_divider_inst|Add3~29\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add3~29_sumout\ = SUM(( \clock_divider_inst|count3\(7) ) + ( GND ) + ( \clock_divider_inst|Add3~26\ ))
-- \clock_divider_inst|Add3~30\ = CARRY(( \clock_divider_inst|count3\(7) ) + ( GND ) + ( \clock_divider_inst|Add3~26\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count3\(7),
	cin => \clock_divider_inst|Add3~26\,
	sumout => \clock_divider_inst|Add3~29_sumout\,
	cout => \clock_divider_inst|Add3~30\);

-- Location: FF_X34_Y1_N22
\clock_divider_inst|count3[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add3~29_sumout\,
	sclr => \clock_divider_inst|Equal2~2_combout\,
	ena => \clock_divider_inst|count3[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count3\(7));

-- Location: MLABCELL_X34_Y1_N24
\clock_divider_inst|Add3~33\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add3~33_sumout\ = SUM(( \clock_divider_inst|count3\(8) ) + ( GND ) + ( \clock_divider_inst|Add3~30\ ))
-- \clock_divider_inst|Add3~34\ = CARRY(( \clock_divider_inst|count3\(8) ) + ( GND ) + ( \clock_divider_inst|Add3~30\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count3\(8),
	cin => \clock_divider_inst|Add3~30\,
	sumout => \clock_divider_inst|Add3~33_sumout\,
	cout => \clock_divider_inst|Add3~34\);

-- Location: FF_X34_Y1_N26
\clock_divider_inst|count3[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add3~33_sumout\,
	sclr => \clock_divider_inst|Equal2~2_combout\,
	ena => \clock_divider_inst|count3[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count3\(8));

-- Location: MLABCELL_X34_Y1_N27
\clock_divider_inst|Add3~37\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Add3~37_sumout\ = SUM(( \clock_divider_inst|count3\(9) ) + ( GND ) + ( \clock_divider_inst|Add3~34\ ))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000000000000011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datad => \clock_divider_inst|ALT_INV_count3\(9),
	cin => \clock_divider_inst|Add3~34\,
	sumout => \clock_divider_inst|Add3~37_sumout\);

-- Location: FF_X34_Y1_N29
\clock_divider_inst|count3[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~inputCLKENA0_outclk\,
	d => \clock_divider_inst|Add3~37_sumout\,
	sclr => \clock_divider_inst|Equal2~2_combout\,
	ena => \clock_divider_inst|count3[0]~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|count3\(9));

-- Location: MLABCELL_X34_Y1_N45
\clock_divider_inst|Equal3~1\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Equal3~1_combout\ = ( \clock_divider_inst|count3\(6) & ( (!\clock_divider_inst|count3\(8) & (!\clock_divider_inst|count3\(7) & !\clock_divider_inst|count3\(9))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000010100000000000001010000000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \clock_divider_inst|ALT_INV_count3\(8),
	datac => \clock_divider_inst|ALT_INV_count3\(7),
	datad => \clock_divider_inst|ALT_INV_count3\(9),
	dataf => \clock_divider_inst|ALT_INV_count3\(6),
	combout => \clock_divider_inst|Equal3~1_combout\);

-- Location: MLABCELL_X34_Y1_N42
\clock_divider_inst|Equal3~2\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|Equal3~2_combout\ = ( !\clock_divider_inst|count3\(5) & ( (!\clock_divider_inst|count3\(4) & (\clock_divider_inst|Equal3~0_combout\ & \clock_divider_inst|Equal3~1_combout\)) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000001100000000000000110000000000000000000000000000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \clock_divider_inst|ALT_INV_count3\(4),
	datac => \clock_divider_inst|ALT_INV_Equal3~0_combout\,
	datad => \clock_divider_inst|ALT_INV_Equal3~1_combout\,
	dataf => \clock_divider_inst|ALT_INV_count3\(5),
	combout => \clock_divider_inst|Equal3~2_combout\);

-- Location: LABCELL_X33_Y1_N15
\clock_divider_inst|D~1\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|D~1_combout\ = ( \clock_divider_inst|D~q\ & ( (!\clock_divider_inst|Equal2~2_combout\) # ((!\clock_divider_inst|Equal3~2_combout\) # (\clock_divider_inst|D~0_combout\)) ) ) # ( !\clock_divider_inst|D~q\ & ( 
-- (\clock_divider_inst|Equal2~2_combout\ & (\clock_divider_inst|Equal3~2_combout\ & !\clock_divider_inst|D~0_combout\)) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000010100000000000001010000000011111010111111111111101011111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \clock_divider_inst|ALT_INV_Equal2~2_combout\,
	datac => \clock_divider_inst|ALT_INV_Equal3~2_combout\,
	datad => \clock_divider_inst|ALT_INV_D~0_combout\,
	dataf => \clock_divider_inst|ALT_INV_D~q\,
	combout => \clock_divider_inst|D~1_combout\);

-- Location: LABCELL_X31_Y1_N57
\clock_divider_inst|D~feeder\ : cyclonev_lcell_comb
-- Equation(s):
-- \clock_divider_inst|D~feeder_combout\ = ( \clock_divider_inst|D~1_combout\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000011111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \clock_divider_inst|ALT_INV_D~1_combout\,
	combout => \clock_divider_inst|D~feeder_combout\);

-- Location: FF_X31_Y1_N59
\clock_divider_inst|D\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk_50~input_o\,
	d => \clock_divider_inst|D~feeder_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \clock_divider_inst|D~q\);

-- Location: IOIBUF_X36_Y0_N18
\btn_x~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_btn_x,
	o => \btn_x~input_o\);

-- Location: LABCELL_X31_Y1_N15
\edge_detect_inst|state_current~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \edge_detect_inst|state_current~0_combout\ = ( !\btn_x~input_o\ )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1111111111111111111111111111111100000000000000000000000000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataf => \ALT_INV_btn_x~input_o\,
	combout => \edge_detect_inst|state_current~0_combout\);

-- Location: IOIBUF_X36_Y0_N1
\btn_reset~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_btn_reset,
	o => \btn_reset~input_o\);

-- Location: FF_X31_Y1_N17
\edge_detect_inst|state_current\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock_divider_inst|D~q\,
	d => \edge_detect_inst|state_current~0_combout\,
	clrn => \btn_reset~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \edge_detect_inst|state_current~q\);

-- Location: LABCELL_X31_Y1_N9
\edge_detect_inst|tick~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \edge_detect_inst|tick~0_combout\ = ( \btn_x~input_o\ ) # ( !\btn_x~input_o\ & ( \edge_detect_inst|state_current~q\ ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000111100001111000011110000111111111111111111111111111111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datac => \edge_detect_inst|ALT_INV_state_current~q\,
	dataf => \ALT_INV_btn_x~input_o\,
	combout => \edge_detect_inst|tick~0_combout\);

-- Location: LABCELL_X22_Y56_N0
\~QUARTUS_CREATED_GND~I\ : cyclonev_lcell_comb
-- Equation(s):

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000000000000000000",
	shared_arith => "off")
-- pragma translate_on
;
END structure;


